Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 736)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 737)
@@ -68,6 +68,7 @@
 	/** The Constant serialVersionUID. */
 	private static final long serialVersionUID = 4420732757687971253L;
 
+	
 	/** The parts. */
 	private List<Part> parts;
 
@@ -77,25 +78,11 @@
 	/** The property. */
 	private Property property;
 
-	/** An association between name of analysis property and lexical table. */
-//	private Map<String, LexicalTable> lexicalTables = new HashMap<String, LexicalTable>();
-
 	
-	/** The results stored by class. */
-	private TreeMap<String, List<Object>> results = new TreeMap<String, List<Object>>();
-
-	public static Integer SUBCORPUS_COUNTER = new Integer(0);
 	
 	int totalsize = -1;
 	int[] partSizes;
 
-	public String toString() {
-		if (name != null) {
-			return name;
-		}
-		return super.toString();
-	}
-	
 	/**
 	 * Creates a new partition on a corpus given a structure, a property of this
 	 * structure and a liste of values this property can take
@@ -118,6 +105,10 @@
 	 */
 	protected Partition(Corpus corpus, StructuralUnit structure, StructuralUnitProperty property, List<String> values)	throws CqiClientException {
 		super(corpus);
+		
+		// reset the UUID to create it later from the part names
+		this.uniqueID = "";
+		
 		this.name = corpus.getName()+ "_" + structure.getName() + "_" + property.getName(); //$NON-NLS-1$ //$NON-NLS-2$
 		Log.finest(NLS.bind(TXMCoreMessages.NEW_PARTION, this.getCorpus(), this.name)); 
 		long start = System.currentTimeMillis();
@@ -181,34 +172,27 @@
 		Log.finest(NLS.bind(TXMCoreMessages.PARTITION_CREATED, this.name, (end - start)));
 	}
 
+	
 	/**
 	 * Instantiates a new partition.
 	 *
 	 * @param corpus the corpus
-	 * @param structure the structure
-	 * @param property the property
-	 * @throws CqiClientException the cqi client exception
-	 */
-	protected Partition(Corpus corpus, StructuralUnit structure, StructuralUnitProperty property) throws CqiClientException {
-		this(corpus, structure, property, property.getValues(corpus));
-	}
-
-
-	/**
-	 * Create a partition with a set of raw queries.
-	 *
-	 * @param corpus the corpus
 	 * @param name the name
 	 * @param queries the queries
+	 * @param partnames the partnames
 	 * @throws CqiClientException the cqi client exception
-	 * @author Sylvain Loiseau
 	 */
-	protected Partition(Corpus corpus, String name, List<String> queries) throws CqiClientException {
+	public Partition(Corpus corpus, String name, List<String> queries, List<String> partnames) throws CqiClientException {
 		super(corpus);
+
+		// reset the UUID to create it later from the part names
+		this.uniqueID = "";
+		
 		this.structure = null;
 		this.property = null;
-		if (name == null || name.trim().length() == 0)
+		if (name == null || name.trim().length() == 0) {
 			name = "noname"; //$NON-NLS-1$
+		}
 		this.name = name;
 		Log.info(NLS.bind(TXMCoreMessages.NEW_PARTION, this.getCorpus(), this.name));
 		long start = System.currentTimeMillis();
@@ -216,8 +200,15 @@
 		for (int i = 0; i < queries.size(); i++) {
 			String queryS = queries.get(i);
 			String partitionName = this.getName();
+			
 			String partName = String.valueOf(i);
-			if (partName.length() == 0) partName = "-"; //$NON-NLS-1$
+			if(partnames != null && i < partnames.size())	{
+				partName = partnames.get(i);
+			}
+			if (partName.trim().length() == 0) {
+				partName = "-"; //$NON-NLS-1$
+			}
+			
 			Part part = createPart(partitionName, partName, queryS);
 			parts.add(part);
 		}
@@ -225,38 +216,35 @@
 		Log.info(NLS.bind(TXMCoreMessages.PARTITION_CREATED, this.name, (end - start)));
 	}
 
+	
+	
 	/**
 	 * Instantiates a new partition.
 	 *
 	 * @param corpus the corpus
+	 * @param structure the structure
+	 * @param property the property
+	 * @throws CqiClientException the cqi client exception
+	 */
+	protected Partition(Corpus corpus, StructuralUnit structure, StructuralUnitProperty property) throws CqiClientException {
+		this(corpus, structure, property, property.getValues(corpus));
+	}
+
+
+	/**
+	 * Create a partition with a set of raw queries.
+	 *
+	 * @param corpus the corpus
 	 * @param name the name
 	 * @param queries the queries
-	 * @param partnames the partnames
 	 * @throws CqiClientException the cqi client exception
+	 * @author Sylvain Loiseau
 	 */
-	public Partition(Corpus corpus, String name, List<String> queries, List<String> partnames) throws CqiClientException {
-		super(corpus);
-		this.structure = null;
-		this.property = null;
-		if (name == null || name.trim().length() == 0)
-			name = "noname"; //$NON-NLS-1$
-		this.name = name;
-		Log.info(NLS.bind(TXMCoreMessages.NEW_PARTION, this.getCorpus(), this.name));
-		long start = System.currentTimeMillis();
-		this.parts = new ArrayList<Part>();
-		for (int i = 0; i < queries.size(); i++) {
-			String queryS = queries.get(i);
-			String partitionName = this.getName();
-			String partName = partnames.get(i);
-			if (partName.trim().length() == 0) partName = "-"; //$NON-NLS-1$
-			Part part = createPart(partitionName, partName, queryS);
-			parts.add(part);
-		}
-		long end = System.currentTimeMillis();
-		Log.info(NLS.bind(TXMCoreMessages.PARTITION_CREATED, this.name, (end - start)));
+	protected Partition(Corpus corpus, String name, List<String> queries) throws CqiClientException {
+		this(corpus, name, queries, null);
 	}
 
-	
+
 	/**
 	 * Get the safe values (spacial char regexp safe).
 	 *
@@ -265,8 +253,7 @@
 	 * @return the safe values
 	 * @throws CqiClientException the cqi client exception
 	 */
-	private static List<String> getSafeValues(StructuralUnitProperty property, Corpus corpus) throws CqiClientException
-	{
+	private static List<String> getSafeValues(StructuralUnitProperty property, Corpus corpus) throws CqiClientException	{
 		List<String> values = property.getValues(corpus);
 		//System.out.println("CORPUS: "+corpus);
 		//System.out.println("VALUES: "+values);
@@ -287,16 +274,18 @@
 	 * 
 	 * @author Sylvain Loiseau, mdecorde
 	 */
-	public Part createPart(String partitionName, String partName, String query)
-	throws CqiClientException {
+	public Part createPart(String partitionName, String partName, String query) throws CqiClientException {
 		Part part;
 		String partCqpId = CqpObject.partNamePrefix + Corpus.getNextSubcorpusCounter();
 		Log.finest(NLS.bind(TXMCoreMessages.CREATING_PART,partName, query));
 		long start = System.currentTimeMillis();
 		try {
-			CorpusManager.getCorpusManager().getCqiClient().cqpQuery(
-					this.getCorpus().getQualifiedCqpId(), partCqpId, query);
+			CorpusManager.getCorpusManager().getCqiClient().cqpQuery(this.getCorpus().getQualifiedCqpId(), partCqpId, query);
 			part = new Part(partCqpId, partitionName, partName, this, new Query(query));
+
+			// FIXME: persistence tests: define the UUID as the concatenation of all part CQP id
+			this.uniqueID += partCqpId;
+			
 		} catch (Exception e) {
 			try {
 				throw new CqiClientException(TXMCoreMessages.Partition_9 + partitionName + "_" + partName + e + " last error: " + CQPEngine.getCqiClient().getLastCQPError()); //$NON-NLS-1$ //$NON-NLS-2$
@@ -308,6 +297,7 @@
 		}
 		long end = System.currentTimeMillis();
 		Log.finest(NLS.bind(TXMCoreMessages.PART_CREATED, partitionName + "_" + partName, (end - start))); //$NON-NLS-1
+		
 		return part;
 	}
 
@@ -336,18 +326,6 @@
 		return (Corpus) this.parent;
 	}
 
-	//FIXME: useless?
-//	/**
-//	 * Gets the parts.
-//	 * 
-//	 * @return the parts
-//	 */
-//	public List<Part> getOrderedParts() {
-//		List<Part> sparts = parts;
-//		Collections.sort(sparts);
-//		return sparts;
-//	}
-
 	/**
 	 * Gets the parts.
 	 * 
@@ -364,23 +342,12 @@
 	 */
 	public List<String> getPartNames() {
 		List<String> partNames = new ArrayList<String>(parts.size());
-		for (Subcorpus part : parts)
+		for (Subcorpus part : parts) {
 			partNames.add(part.getName());
+		}
 		return partNames;
 	}
 
-	//FIXME: useless?
-//	/**
-//	 * Gets the ordered name of the parts.
-//	 * 
-//	 * @return the part names
-//	 */
-//	public List<String> getOrderedPartNames() {
-//		List<String> partNames = getPartNames();
-//		Collections.sort(partNames);
-//		return partNames;
-//	}
-
 	/**
 	 * Gets the short name of the parts.
 	 * 
@@ -388,8 +355,9 @@
 	 */
 	public List<String> getPartShortNames() {
 		List<String> partNames = new ArrayList<String>(parts.size());
-		for (Part part : parts)
+		for (Part part : parts) {
 			partNames.add(part.getShortName());
+		}
 		return partNames;
 	}
 
@@ -406,12 +374,12 @@
 	 * @throws CqiClientException
 	 *             the cqi client exception
 	 */
-	public List<QueryResult> query(Query query, String name)
-	throws CqiClientException {
+	public List<QueryResult> query(Query query, String name) throws CqiClientException {
 		Log.finest(TXMCoreMessages.QUERYING_PARTITION + this.name);
 		List<QueryResult> results = new ArrayList<QueryResult>(parts.size());
-		for (Subcorpus part : parts)
+		for (Subcorpus part : parts) {
 			results.add(part.query(query, part.getName() + "_" + name, false)); //$NON-NLS-1$
+		}
 		return results;
 	}
 
@@ -448,47 +416,6 @@
 	}
 
 
-//
-//	/**
-//	 * Stores the result of textometric computation in this corpus.
-//	 *
-//	 * @param result the result
-//	 */
-//	public void storeResult(Object result) {
-//		if (!results.containsKey(result.getClass().getName())) results.put(result.getClass().getName(), new ArrayList<Object>());
-//		if(!results.get(result.getClass().getName()).contains(result))	{
-//			results.get(result.getClass().getName()).add(result);	
-//		}
-//	}
-//
-//	/**
-//	 * Removes a result stored in this corpus.
-//	 *
-//	 * @param result the result
-//	 * @return true, if successful
-//	 */
-//	@Override
-//	public boolean removeResult(Object result) {
-//		if (!results.containsKey(result.getClass().getName())) return false;
-//		
-//		boolean ret = results.get(result.getClass().getName()).remove(result);
-//		return ret;
-//	}
-//
-//	/**
-//	 * Gets the results of textometric computation stored in the corpus.
-//	 *
-//	 * @return the results
-//	 */
-//	@Override
-//	public List<Object> getResults() {
-//		ArrayList<Object> tmp = new ArrayList<Object>();
-//		for (String k : results.keySet()) {
-//			tmp.addAll(results.get(k));
-//		}
-//		return tmp;
-//	}
-
 	/**
 	 * Sets the name.
 	 *
@@ -500,22 +427,6 @@
 			this.getSelfElement().setAttribute("name", name); //$NON-NLS-1$
 	}
 
-//	/* (non-Javadoc)
-//	 * @see org.txm.objects.TxmObject#getChildren()
-//	 */
-//	@Override
-//	public List<? extends TxmObject> getChildren() {
-//		return parts;
-//	}
-
-//	/* (non-Javadoc)
-//	 * @see org.txm.objects.TxmObject#getParent()
-//	 */
-//	@Override
-//	public TxmObject getParent() {
-//		return this.corpus;
-//	}
-
 	/**
 	 * Register to parent.
 	 *
@@ -558,14 +469,6 @@
 		registerToParent(this.name);
 	}
 
-//	/* (non-Javadoc)
-//	 * @see org.txm.objects.TxmObject#hasChildren(org.txm.objects.TxmObject)
-//	 */
-//	@Override
-//	public boolean hasChildren(TxmObject children) {
-//		return parts.size() > 0;
-//	}
-
 	/**
 	 * Load.
 	 *
@@ -608,9 +511,6 @@
 		return false;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.txm.objects.TxmObject#removeChildren(org.txm.objects.TxmObject)
-	 */
 	public TxmObject removeChildren(TxmObject children) {
 		if (children instanceof Part) {
 			if (children.getSelfElement() != null && children.getSelfElement().getParentNode() == getSelfElement())
@@ -621,17 +521,11 @@
 		return null;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.txm.objects.TxmObject#save()
-	 */
 	@Override
 	public boolean save() {
 		return false;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.txm.objects.TxmObject#delete()
-	 */
 	@Override
 	public boolean delete() {
 		try {
@@ -646,14 +540,6 @@
 		return false;
 	}
 
-//	/* (non-Javadoc)
-//	 * @see org.txm.HasResults#getSubHasResults()
-//	 */
-//	@Override
-//	public List<HasResults> getSubHasResults() {
-//		return new ArrayList<HasResults>(0);
-//	}
-
 	/**
 	 * Gets the total of all part sizes.
 	 * @return
@@ -735,4 +621,13 @@
 		return false;
 	}
 
+	
+	public String toString() {
+		if (name != null) {
+			return name;
+		}
+		return super.toString();
+	}
+	
+
 }
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 736)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 737)
@@ -38,6 +38,7 @@
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Base;
 import org.txm.objects.TxmObject;
@@ -121,7 +122,7 @@
 	/** The symbol. */
 	private String symbol;
 
-	protected static String WORD = "word"; //$NON-NLS-1$
+	protected static String WORD = TXMPreferences.DEFAULT_UNIT_PROPERTY;
 
 	protected Property wordProperty = null;
 
@@ -144,6 +145,10 @@
 		super(null, null);
 		checkCqpId(cqpId);
 		this.cqpId = cqpId;
+		
+		// FIXME: at this moment, store the CQPID as UUIDD
+		this.uniqueID = this.cqpId;
+
 		subcorpora = new ArrayList<Subcorpus>();
 		partitions = new ArrayList<Partition>();
 	}
@@ -176,12 +181,12 @@
 	 * @return the partition
 	 * @throws CqiClientException the cqi client exception
 	 */
-	public Partition createPartition(String name, List<String> queries,
-			boolean registered) throws CqiClientException {
+	public Partition createPartition(String name, List<String> queries, boolean registered) throws CqiClientException {
 		Partition partition = new Partition(this, name, queries);
 		partitions.add(partition);
-		if (!registered)
+		if (!registered) {
 			partition.registerToParent();
+		}
 		return partition;
 	}
 
Index: tmp/org.txm.information.rcp/src/org/txm/information/rcp/handlers/ComputeInformation.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/information/rcp/handlers/ComputeInformation.java	(revision 736)
+++ tmp/org.txm.information.rcp/src/org/txm/information/rcp/handlers/ComputeInformation.java	(revision 737)
@@ -45,10 +45,6 @@
  */
 public class ComputeInformation extends BaseAbstractHandler {
 	
-	// adds a double click listener to the Corpus View
-	static	{
-		CorporaView.addDoubleClickListener(Information.class, ComputeInformation.class);
-	}
 	
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java	(revision 736)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java	(revision 737)
@@ -310,6 +310,9 @@
 				this.rootPanel.add((Component) this.chartComponent);
 
 				this.frame.setVisible(true);
+				
+				//this.chartEditor.registerEventCallBackExtensions();
+
 			}
 			this.loadChart(this.chartEditor.getChart());
 			this.forceFocus();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 736)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 737)
@@ -31,6 +31,8 @@
 import java.util.HashMap;
 import java.util.List;
 
+import org.eclipse.core.commands.Command;
+import org.eclipse.core.commands.common.NotDefinedException;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Status;
@@ -59,6 +61,7 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.PlatformUI;
+import org.eclipse.ui.commands.ICommandService;
 import org.eclipse.ui.contexts.IContextService;
 import org.eclipse.ui.handlers.IHandlerService;
 import org.eclipse.ui.internal.Workbench;
@@ -74,6 +77,7 @@
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.handlers.results.DeleteObject;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
@@ -113,6 +117,10 @@
 	 */
 	private static HashMap<Class, Class> managedDoubleClickClasses = new HashMap<Class, Class>();
 
+	
+	public static HashMap<String, String> doubleClickInstalledCommands = new HashMap<String, String>();
+	
+	
 	public static HashMap<Class, Class> getManagedDoubleClickClasses() {
 		return managedDoubleClickClasses;
 	}
@@ -242,6 +250,25 @@
 			}
 		});
 
+
+		// FIXME: double click listener installation from commands 
+		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
+		ICommandService cmdService = (ICommandService)window.getService(ICommandService.class);
+		Command[] cmds = cmdService.getDefinedCommands();
+		for (int i = 0; i < cmds.length; i++) {
+			try {
+				if(cmds[i].getReturnType() != null)	{
+					Log.info("CorporaView.createPartControl(): resgistering command = " + cmds[i].getId() + " for TXMResult of type " + cmds[i].getReturnType().getId() + ".");
+					doubleClickInstalledCommands.put(cmds[i].getReturnType().getId(), cmds[i].getId());
+				}
+			}
+			catch (NotDefinedException e1) {
+				// TODO Auto-generated catch block
+				e1.printStackTrace();
+			}
+		}
+		
+		
 		treeViewer.addDoubleClickListener(new IDoubleClickListener() {
 			@Override
 			public void doubleClick(DoubleClickEvent event) {
@@ -249,22 +276,29 @@
 				Object selectedItem = selection.getFirstElement();
 				//System.out.println("dbl click: "+selectedItem);
 				if (selectedItem != null) {
-					if (selectedItem instanceof TXMResult) {
+					
+					// FIXME: this code should be in conflict with the native RCP system based in EditorInput.equals(), see if we can remove it
+//					if (selectedItem instanceof TXMResult) {
+//
+//						TXMResult txmResult = (TXMResult) selectedItem;
+//						TXMResultEditorInput<TXMResult> input = new TXMResultEditorInput<TXMResult>(txmResult);
+//
+//						IWorkbenchWindow window = TXMWindows.getActiveWindow();
+//						if (window != null) {
+//							IWorkbenchPage page = window.getActivePage();
+//							IEditorPart editor = page.findEditor(input);
+//							if (editor != null) {
+//								page.activate(editor);
+//								return; // ok done
+//							}
+//						}
+//					}
 
-						TXMResult txm_result = (TXMResult) selectedItem;
-						TXMResultEditorInput input = new TXMResultEditorInput(txm_result);
-
-						IWorkbenchWindow window = TXMWindows.getActiveWindow();
-						if (window != null) {
-							IWorkbenchPage page = window.getActivePage();
-							IEditorPart editor = page.findEditor(input);
-							if (editor != null) {
-								page.activate(editor);
-								return; // ok done
-							}
-						}
+					String commandId = doubleClickInstalledCommands.get(selectedItem.getClass().getName());
+					if (commandId != null) {
+						BaseAbstractHandler.executeCommand(commandId);
 					}
-
+					
 					// test if a double click listener has been set
 					Class commandClass = managedDoubleClickClasses.get(selectedItem.getClass());
 					//System.out.println("classes: "+managedDoubleClickClasses);
@@ -274,11 +308,9 @@
 						try {
 							handlerService.executeCommand(commandClass.getName(), null);
 						} catch (Exception e) {
-							System.out.println("Error while calling "+ commandClass.getName() + " command: " + e.getLocalizedMessage());
+							System.out.println("Error while calling "+ commandClass.getName() + " command.");
 							Log.printStackTrace(e);
 						}
-					} else {
-						//System.out.println("Warning: cannot open selection with class: "+selectedItem.getClass());
 					}
 				}
 			}
@@ -329,34 +361,8 @@
 		contextService.activateContext(ID);
 	}
 
-	/**
-	 * Gets the pages.
-	 *
-	 * @return the pages
-	 */
-	private static IWorkbenchPage[] getPages()
-	{
-		for(IWorkbenchWindow win : Workbench.getInstance().getWorkbenchWindows())
-		{
-			return win.getPages();
-		}
-		return new IWorkbenchPage[0];
-	}
 
 	/**
-	 * Activate editor.
-	 *
-	 * @param editor the editor
-	 * @return true, if successful
-	 */
-	private boolean activateEditor(IEditorPart editor)
-	{
-		IWorkbenchPage attachedPage = editor.getEditorSite().getPage();
-		attachedPage.activate(editor);
-		return true;
-	}
-
-	/**
 	 * Passing the focus request to the viewer's control.
 	 */
 	@Override
@@ -491,7 +497,7 @@
 	}
 
 
-
+	// FIXMLE: deprecated
 	/**
 	 * Adds a double click listener to the tree view for the specified result data type and executing the command specified by its ID which must be equal to its class simple name
 	 * (eg. to do the link, the command ID must be "ComputeCA" for an handler class named "ComputeCA.java").
@@ -501,13 +507,13 @@
 	 * @param resultDataClass
 	 * @param commandClass
 	 */
-	public static void addDoubleClickListener(final Class resultDataClass, final Class commandClass)	{
-		if (managedDoubleClickClasses.containsKey(managedDoubleClickClasses)) {
-			Log.warning("The " + managedDoubleClickClasses + " class is already managed by the Corpora view.");
-			return;
-		}
-		//FIXME: this won't works if the ComputeXXX commands is not called -> we can't do lazy load
-		// also not work for the intermediate results (eg. lexical table of a CA computed from a partition)
-		managedDoubleClickClasses.put(resultDataClass, commandClass);
-	}
+//	public static void addDoubleClickListener(final Class resultDataClass, final Class commandClass)	{
+//		if (managedDoubleClickClasses.containsKey(managedDoubleClickClasses)) {
+//			Log.warning("The " + commandClass + " class for result " + resultDataClass + " is already managed by the Corpora view.");
+//			return;
+//		}
+//		//FIXME: this won't works if the ComputeXXX commands is not called -> we can't do lazy load
+//		// also not work for the intermediate results (eg. lexical table of a CA computed from a partition)
+//		managedDoubleClickClasses.put(resultDataClass, commandClass);
+//	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 736)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 737)
@@ -11,6 +11,8 @@
 import org.eclipse.e4.ui.model.application.ui.basic.impl.BasicFactoryImpl;
 import org.eclipse.e4.ui.workbench.modeling.EModelService;
 import org.eclipse.ui.IEditorInput;
+import org.eclipse.ui.IEditorPart;
+import org.eclipse.ui.IEditorReference;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PlatformUI;
@@ -29,21 +31,33 @@
 	 * @param editorInput
 	 * @return
 	 */
-	public static boolean isOpenEditor(IEditorInput editorInput)	{
-		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
-		IWorkbenchPage page = window.getActivePage();
-
-		return (page.findEditor(editorInput) != null);
+	public static boolean isOpenEditor(IEditorInput editorInput, String editorId)	{
+		return (getEditor(editorInput, editorId) != null);
 	}
 
 	/**
-	 * Checks if the specified editor is already open in the active page.
-	 * @param editor
+	 * Gets an editor by its editor input.
+	 * @param editorInput
 	 * @return
 	 */
-	public static boolean isOpenEditor(EditorPart editor)	{
-		return isOpenEditor(editor.getEditorInput());
+	public static IEditorPart getEditor(IEditorInput editorInput, String editorId)	{
+		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
+		IWorkbenchPage page = window.getActivePage();
+		IEditorReference[] editorsReferences = page.findEditors(editorInput, editorId, IWorkbenchPage.MATCH_INPUT | IWorkbenchPage.MATCH_ID);
+		if(editorsReferences.length > 0)	{
+			return editorsReferences[0].getEditor(false);
+		}
+		return null;
 	}
+	
+//	/**
+//	 * Checks if the specified editor is already open in the active page.
+//	 * @param editor
+//	 * @return
+//	 */
+//	public static boolean isOpenEditor(EditorPart editor)	{
+//		return isOpenEditor(editor.getEditorInput());
+//	}
 
 	/**
 	 * Splits the parent area of an editor and add another one in this area by splitting it. 
